'use strict'
module.exports = {
  NODE_ENV: '"production"',
  /*

  aura/steering REST API settings
  ===============================
  */
  // These are the REST API endpoints of your aura/steering module
  API_STEERING: '"http://YOUR.STEERING.DOMAIN/api/v1/"',
  API_STEERING_SHOWS: '"http://YOUR.STEERING.DOMAIN/api/v1/shows/"',
  /*

  Open ID Connect settings
  ========================
  */
  // Put your OpenID Connect client ID here. You get it in the setup of the aura/steering module.
  OIDC_CLIENT_ID: '"174626"',
  // OIDC endpoint of the pv/steering module
  API_STEERING_OIDC_URI: '"http://YOUR.STEERING.DOMAIN/openid"',
  // Number of seconds before token gets invalid, when renewal should be started
  API_STEERING_OIDC_EXPIRE_NOTIFICATION: '120',
  // Local callback handlers that are called by the aura/steering OIDC module after login/renwal.
  // It is important to put exactly the same URI here as it is configured in your OIDC client settings
  // in the aura/steering module. Don't mix IPs and DNS names!
  API_STEERING_OIDC_REDIRECT_URI: '"http://FINAL.DASHBOARD.DOMAIN/static/oidc_callback.html"',
  API_STEERING_OIDC_REDIRECT_URI_SILENT: '"http://FINAL.DASHBOARD.DOMAIN/static/oidc_callback_silentRenew.html"',
  // address that is called by the pv/steering OIDC module after logout - should be the dashboard entry point
  API_STEERING_OIDC_REDIRECT_URI_POSTLOGOUT: '"http://FINAL.DASHBOARD.DOMAIN"',
  /*

  Dashboard UI defaults
  =====================
  */
  // How many timeslots should be shown by default? (has to be a string)
  TIMESLOT_FILTER_DEFAULT_NUMSLOTS: '"10"',
  // For how many days from now should timeslots be fetched by default? (has to be an int)
  TIMESLOT_FILTER_DEFAULT_DAYS: '60'
}
